#!/bin/bash

xhost +

# docker_run_cmd [container image] [cmd args]
function docker_run_cmd() {
  docker run -it --rm --name sim --gpus all \
    -e DISPLAY=$DISPLAY -v "/tmp/.X11-unix:/tmp/.X11-unix:rw" \
    --device /dev/snd -v "${PWD}:/root/src" \
    $@
}

INIT_IMG=einohira/ros:gazebo-nv-18-1.1
# DEV_IMG=mysim:melodic-1.10
DEV_IMG=mysim:melodic-2.00

case $1 in
  "20" )
    docker_run_cmd einohira/ros:gazebo-nv-20 bash /root/src/start.sh 20
    ;;
  "im" )
    docker_run_cmd ${DEV_IMG} bash /root/src/start.sh m
    ;;
  "map" )
    docker_run_cmd ${DEV_IMG} bash /root/src/start.sh map
    ;;
  "w1" )
    docker_run_cmd --device=/dev/input/js0:/dev/input/js0 ${DEV_IMG} bash /root/src/start.sh w1
    ;;
  "new" )
    docker_run_cmd --device=/dev/input/js0:/dev/input/js0 ${DEV_IMG} bash /root/src/start.sh new
    ;;
  * )
    docker_run_cmd ${INIT_IMG} bash /root/src/start.sh
    ;;
esac