import roslaunch
import os

def main():

    world_name = world_name

    uuid = roslaunch.rlutil.get_or_generate_uuid(None, False)
    roslaunch.configure_logging(uuid)
 
    # world
    sdf = '{}/rois_description/world/{}.sdf'.format(os.getcwd(),world_name)
    cli_args = ['gazebo_ros', 'empty_world.launch', 'world_name:={}'.format(sdf)]
    roslaunch_file = roslaunch.rlutil.resolve_launch_arguments(cli_args)[0]
    launch_files = [(roslaunch_file,cli_args[2:])]
    print(launch_files)
    parent = roslaunch.parent.ROSLaunchParent(uuid, launch_files)
    parent.start()

    launch = roslaunch.scriptapi.ROSLaunch()
    launch.start()
    
    # map_server
    launch.launch(roslaunch.core.Node('map_server', 'map_server',
                                        name='map_server',
                                        args='{}/rois_2dnav_gazebo/map/{}/{}.yaml'.format(os.getcwd(),world_name,world_name)))

    # map_server
    launch.launch(roslaunch.core.Node('map_server', 'map_server',
                                        name='map_server',
                                        args='{}/rois_2dnav_gazebo/map/{}/{}.yaml'.format(os.getcwd(),world_name,world_name)))

    try:
        parent.spin()
    finally:
        # After Ctrl+C, stop all nodes from running
        parent.shutdown()

if __name__ == '__main__':
    main()