#!/bin/bash

case $1 in
    "20" )
        # ubuntu 20 (focal) : ros-noetic
        cd /root/src
        source /opt/ros/noetic/setup.bash
        catkin_init_workspace
        cd ..
        catkin_make
        source devel/setup.bash
        python3 -m pip install -r src/route_guidance_ros/requirements.txt
        roslaunch rois_bringup navigation.launch use_multi_robot:=false
        ;;
    "i" )
        # single robot
        source devel/setup.bash
        roslaunch rois_bringup navigation.launch use_multi_robot:=false
        ;;
    "m" )
        # multi robots
        source devel/setup.bash
        roslaunch rois_bringup navigation.launch use_multi_robot:=true
        ;;
    "map" )
        # world:c-right-world
        source devel/setup.bash
        roslaunch rois_2dnav_gazebo generate_2dmap.launch bagfile:=/root/src/myscan2.bag
        ;;
    "w1" )
        # world:c-right-world
        source devel/setup.bash
        roslaunch rois_bringup navigation.launch use_multi_robot:=false world_name:=c-right-world robot1_init_x:=-40 robot1_init_y:=0 
        ;;
    "new" )
        # world:c-right-world
        source devel/setup.bash
        cd /root/src
        python setup_world.py
        ;;
    * )
        # default
        cd /root/src
        source /opt/ros/melodic/setup.bash
        catkin_init_workspace
        cd ..
        catkin_make
        source devel/setup.bash
        python -m pip install -r src/route_guidance_ros/requirements.txt || exit 1
        python3 -m pip install -r src/route_guidance_ros/requirements.txt
        apt-get update
        apt-get install -qy wait-for-it ros-melodic-joy ros-melodic-joystick-drivers ros-melodic-teleop-twist-joy
        roslaunch rois_bringup navigation.launch use_multi_robot:=false
        ;;
esac