#! /bin/bash

source devel/setup.bash

function wait_roscore() {
    wait-for-it localhost:11311 -- echo "ready"
}

function wait_human1() {
    roscd route_guidance_ros/scripts/
    while [ -z `rostopic list|grep /human1` ]
    do 
        echo "waiting human1"
        sleep 1
    done 
}

case $1 in
    "t2" )
        wait_roscore
        roslaunch rois_gazebo spawn_human.launch
        ;;
    "t2a" )
        wait_roscore
        roslaunch rois_gazebo spawn_human2.launch model_name:=human2 init_x:=0 init_y:=20
        ;;
    "t3" )
        wait_roscore
        wait_human1
        python3 -c "import setup_comp_servers;setup_comp_servers.setup_single_robot();input('hit Enter key')"
        ;;
    "t3m" )
        wait_roscore
        wait_human1
        python3 -c "import setup_comp_servers;setup_comp_servers.setup_multi_robot();input('hit Enter key')"
        ;;
    "t4" )
        wait_roscore
        roscd route_guidance_ros/scripts/
        python3 setup_engines.py
        ;;
    "t4m" )
        wait_roscore
        roscd route_guidance_ros/scripts/
        python3 wait_server.py client_info_2.json comp
        python3 setup_engines_multi.py
        ;;
    "t5" )
        wait_roscore
        roscd route_guidance_ros/scripts/
        python3 wait_server.py client_info_2.json comp
        python3 wait_server.py client_info_2.json eng
        wait-for-it localhost:8000 -- echo "ready main HRI Engine"
        python3 sa_multi.py
        ;;
    "t5a" )
        wait-for-it localhost:8000 -- echo "ready main HRI Engine"
        sleep 5
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[0,0,0]" "[0,0,-1]"
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[1,0,0]" "[0,0,0]"
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[1,0,0]" "[0,0,0]"
        ;;
    "t5o" )
        rostopic pub -1 robot1/detected_text std_msgs/String "data: 'point_a'"
        ;;
    "scan" )
        roslaunch rois_bringup joystick
        ;;
esac